package Alien::wxWidgets::Config::gtk2_2_8_11_gcc_3_4;

use strict;

our %VALUES;

{
    no strict 'vars';
    %VALUES = %{
$VAR1 = {
          'defines' => '-D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_IODBC_ -D__WXGTK__ ',
          'include_path' => '-I/usr/lib/wx/include/gtk2-ansi-release-2.8 -I/usr/include/wx-2.8 ',
          'alien_package' => 'Alien::wxWidgets::Config::gtk2_2_8_11_gcc_3_4',
          'version' => '2.008011',
          'alien_base' => 'gtk2_2_8_11_gcc_3_4',
          'link_libraries' => ' -lpthread',
          'c_flags' => '-pthread ',
          '_libraries' => {
                            'base' => {
                                        'link' => '-lwx_base-2.8',
                                        'dll' => 'libwx_base-2.8.so'
                                      },
                            'richtext' => {
                                            'link' => '-lwx_gtk2_richtext-2.8',
                                            'dll' => 'libwx_gtk2_richtext-2.8.so'
                                          },
                            'core' => {
                                        'link' => '-lwx_gtk2_core-2.8',
                                        'dll' => 'libwx_gtk2_core-2.8.so'
                                      },
                            'stc' => {
                                       'link' => '-lwx_gtk2_stc-2.8',
                                       'dll' => 'libwx_gtk2_stc-2.8.so'
                                     },
                            'fl' => {
                                      'link' => '-lwx_gtk2_fl-2.8',
                                      'dll' => 'libwx_gtk2_fl-2.8.so'
                                    },
                            'aui' => {
                                       'link' => '-lwx_gtk2_aui-2.8',
                                       'dll' => 'libwx_gtk2_aui-2.8.so'
                                     },
                            'gl' => {
                                      'link' => '-lwx_gtk2_gl-2.8',
                                      'dll' => 'libwx_gtk2_gl-2.8.so'
                                    },
                            'net' => {
                                       'link' => '-lwx_base_net-2.8',
                                       'dll' => 'libwx_base_net-2.8.so'
                                     },
                            'html' => {
                                        'link' => '-lwx_gtk2_html-2.8',
                                        'dll' => 'libwx_gtk2_html-2.8.so'
                                      },
                            'gizmos' => {
                                          'link' => '-lwx_gtk2_gizmos-2.8',
                                          'dll' => 'libwx_gtk2_gizmos-2.8.so'
                                        },
                            'qa' => {
                                      'link' => '-lwx_gtk2_qa-2.8',
                                      'dll' => 'libwx_gtk2_qa-2.8.so'
                                    },
                            'xml' => {
                                       'link' => '-lwx_base_xml-2.8',
                                       'dll' => 'libwx_base_xml-2.8.so'
                                     },
                            'xrc' => {
                                       'link' => '-lwx_gtk2_xrc-2.8',
                                       'dll' => 'libwx_gtk2_xrc-2.8.so'
                                     },
                            'adv' => {
                                       'link' => '-lwx_gtk2_adv-2.8',
                                       'dll' => 'libwx_gtk2_adv-2.8.so'
                                     }
                          },
          'compiler' => 'i486-pld-linux-g++',
          'link_flags' => '',
          'linker' => 'i486-pld-linux-g++ -shared  ',
          'config' => {
                        'compiler_version' => '3.4',
                        'compiler_kind' => 'gcc',
                        'mslu' => 0,
                        'toolkit' => 'gtk2',
                        'unicode' => 0,
                        'debug' => 0,
                        'build' => 'multi'
                      },
          'prefix' => '/usr'
        };
    };
}

my $key = substr __PACKAGE__, 1 + rindex __PACKAGE__, ':';

sub values { %VALUES, key => $key }

sub config {
   +{ %{$VALUES{config}},
      package       => __PACKAGE__,
      key           => $key,
      version       => $VALUES{version},
      }
}

1;
